# -*- coding: utf-8 -*-
from django.conf.urls.defaults import *
from django.conf import settings


urlpatterns = patterns('',
	(r'^$', 'django.views.generic.simple.redirect_to', {'url': 'login/'}),
	(r'^register/$', 'main.views.register'),
	(r'^login/$', 'django.contrib.auth.views.login'),
	(r'^logout/$', 'django.contrib.auth.views.logout',
					{'template_name': 'registration/logout.html',
					 'next_page': '/user/login/'}),
	(r'^settings/$', 'main.views.settings'),
	#plugin stuff
	(r'^settings/plugin/(?P<method>(?:allow|deny))/(?P<pluginId>\d+)/$', 'main.views.pluginPermission'),
	(r'^settings/plugin/authblob/(?P<pluginId>\d+)/$', 'main.views.pluginAuthblob'),
)
